/**************************************************************************
** seewords.c
**
** Show words from VOCAB.000
**************************************************************************/

#include <stdio.h>
#include <conio.h>

typedef unsigned char byte;
typedef unsigned int word;

void main()
{
   FILE *wordFile;
   byte data, wordPos, newWord[80];
   long startPos, counter=1;

   clrscr();

   if ((wordFile = fopen("VOCAB.000","rb")) == NULL) {
      printf("Cannot find file : VOCAB.000\n");
      exit(1);
   }

   fseek(wordFile, 2, SEEK_SET);
   startPos = (byte)fgetc(wordFile) + (long)256*(byte)fgetc(wordFile);
   fseek(wordFile, startPos + 2, SEEK_SET);

   while (!feof(wordFile)) {
      data = fgetc(wordFile);
      wordPos = data;
      do {
         newWord[wordPos++] = ((data = fgetc(wordFile)) & 0x7f);
      } while (data < 0x80);
      newWord[wordPos] = NULL;
      printf("%s\n", newWord);
      fgetc(wordFile);  /* skip three unknown positions */
      fgetc(wordFile);
      fgetc(wordFile);

      if (!(counter++ % 20)) getch();
   }

   fclose(wordFile);
}
